package com.gic.haoban.manage.web.vo.moment;

import org.apache.commons.lang.StringUtils;

import java.io.Serializable ;
import java.util.Date;

/**
 * 
 * @ClassName: TabHaobanQwMomentPlanAttend
 * @Description: TODO
 * @Author 徐高华
 * @Date 2025年03月05日 10:46:49
 * @Modify
 * @CopyRight 杭州
 */
public class QwMomentPlanAttendVO implements Serializable{

	private static final long serialVersionUID = 68786058223200L;
	
	private String staffId;
	/**
	 * 员工名称
	 */
	private String staffName ;
	/**导购*/
	private String clerkId;
	/**导购code*/
	private String clerkCode;
	/**导购名称*/
	private String clerkName;
	/**评论数*/
	private Integer commentCount;
	/**点赞数*/
	private Integer likeCount;
	/**0已失效 1待执行 2已执行*/
	private Integer taskStatus;
	/**任务执行时间*/
	private Date sendTime;
	/**企微朋友圈id*/
	private String momentId;
	/**企微获取数据时间*/
	private Date qwDataTime;
	/**门店id*/
	private String storeId;
	/**
	 * 门店名称
	 */
	private String storeName ;
	/**
	 * 门店code
	 */
	private String storeCode ;

	private String storeGroupName ;

	private String storeGroupId ;
	/**
	 * 下发失败原因
	 */
	private String reason ;

	public String getStoreGroupName() {
		if(StringUtils.isNotBlank(storeGroupName) && storeGroupName.contains("/")) {
			storeGroupName = storeGroupName.split("/")[storeGroupName.split("/").length-1] ;
		}
		return storeGroupName;
	}

	public void setStoreGroupName(String storeGroupName) {
		this.storeGroupName = storeGroupName;
	}

	public String getStoreGroupId() {
		return storeGroupId;
	}

	public void setStoreGroupId(String storeGroupId) {
		this.storeGroupId = storeGroupId;
	}

	public String getStaffId() {
		return staffId;
	}

	public void setStaffId(String staffId) {
		this.staffId = staffId;
	}

	public String getStaffName() {
		return staffName;
	}

	public void setStaffName(String staffName) {
		this.staffName = staffName;
	}

	public String getClerkId() {
		return clerkId;
	}

	public void setClerkId(String clerkId) {
		this.clerkId = clerkId;
	}

	public String getClerkCode() {
		return clerkCode;
	}

	public void setClerkCode(String clerkCode) {
		this.clerkCode = clerkCode;
	}

	public String getClerkName() {
		return clerkName;
	}

	public void setClerkName(String clerkName) {
		this.clerkName = clerkName;
	}

	public Integer getCommentCount() {
		return commentCount;
	}

	public void setCommentCount(Integer commentCount) {
		this.commentCount = commentCount;
	}

	public Integer getLikeCount() {
		return likeCount;
	}

	public void setLikeCount(Integer likeCount) {
		this.likeCount = likeCount;
	}

	public Integer getTaskStatus() {
		return taskStatus;
	}

	public void setTaskStatus(Integer taskStatus) {
		this.taskStatus = taskStatus;
	}

	public Date getSendTime() {
		return sendTime;
	}

	public void setSendTime(Date sendTime) {
		this.sendTime = sendTime;
	}

	public String getMomentId() {
		return momentId;
	}

	public void setMomentId(String momentId) {
		this.momentId = momentId;
	}

	public Date getQwDataTime() {
		return qwDataTime;
	}

	public void setQwDataTime(Date qwDataTime) {
		this.qwDataTime = qwDataTime;
	}

	public String getStoreId() {
		return storeId;
	}

	public void setStoreId(String storeId) {
		this.storeId = storeId;
	}

	public String getStoreName() {
		return storeName;
	}

	public void setStoreName(String storeName) {
		this.storeName = storeName;
	}

	public String getStoreCode() {
		return storeCode;
	}

	public void setStoreCode(String storeCode) {
		this.storeCode = storeCode;
	}

	public String getReason() {
		return reason;
	}

	public void setReason(String reason) {
		this.reason = reason;
	}
}